Bug 842618 - quartz - compile with -target 1.5 or greater
quartz - compile with -target 1.5 or greater
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: quartz (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andy Grimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 842394
  Show dependency treegraph
 
Reported: 2012-07-24 05:26 EDT by Mikolaj Izdebski
Modified: 2016-11-07 22:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-22 19:44:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-07-24 05:26:41 EDT
Package quartz appears to be using Java generics,
but generates class files in format older than 49.0,
which corresponds to J2SE 5.0, in which generics were introduced.

Please update this package to generate classes in format 49.0 or
above. This corresponds to -target 1.5 option of javac (or ecj).

For more information, see bug #842394
Comment 1 Andy Grimm 2013-02-22 19:44:09 EST
Additional detail: there appears to be a single class in quartz.jar fitting this description:

org/quartz/core/QuartzScheduler_Stub.class: compiled Java class data, version 45.3

This class is generated by the rmic-maven-plugin, which compiles the class using sun.rmi.rmic.Main in openjdk's tools.jar.  AFAICT, the doCompile method in this class hardcodes majorVersion and minorVersion to 45 and 3, respectively.

http://hg.openjdk.java.net/build-infra/jdk7/jdk/file/f097ca2434b1/src/share/classes/sun/rmi/rmic/Main.java

(see lines 519-520)

I don't see how I can reasonably change this.

Note You need to log in before you can comment on or make changes to this bug.